import { OpenAI } from "openai";
import { AiResponse } from "./index.js";
import { AiProviderRoot } from "./aiProviderRoot.js";
import { PromptTemplate } from "./promptTemplates.js";
export declare class OpenAiProvider extends AiProviderRoot {
    protected openai: OpenAI;
    constructor();
    getLabel(): string;
    promptAi(promptText: string, template?: PromptTemplate | null): Promise<AiResponse | null>;
}
